{

Name: Master.spin
Author: John Board
Date: 13:49, 10/08/2012
Purpose: Main Logic Code
Competition: RCJA State 2012

TODO:

Notes:


}
CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

  LeftThreshold = 1500
  MiddleThreshold = 1400
  RightThreshold = 1500

  LeftGreenRed = 36
  LeftGreenGreen = 71
  LeftGreenBlue = 74

  RightGreenRed = 37
  RightGreenGreen = 56
  RightGreenBlue = 76

OBJ

  Slave: "SlaveInterface"

PUB Main | l, m, r

  Slave.Start(1, 0, 9600)

  Slave.SetLeftCPALCalibration(0,0,0)

  Slave.SetQTICalibration(LeftThreshold, MiddleThreshold, RightThreshold)

  repeat
    {Slave.ClearScreen
    Slave.Dec(Slave.getLeftRed)
    Slave.Dec(0)
    Slave.Dec(Slave.getLeftGreen)
    Slave.Dec(0)
    Slave.Dec(Slave.getLeftBlue)

    Slave.Cr

    Slave.Dec(Slave.getLeftColor)}
  
    l := Slave.getLeftQTIColor
    r := Slave.getRightQTIColor
    m := Slave.getMiddleQTIColor

    Slave.ClearScreen
    Slave.Dec(L)
    Slave.CR
    Slave.Dec(r)
    Slave.CR
    Slave.Dec(M)

    Slave.SetForward(100)

    {

    if l==1
      Slave.SetSpinLeft(100)
    elseif r==1
      Slave.SetSpinRight(100)
    else
      Slave.SetForward(100)}